[Launch]
ProgramExecutable=SlideshowMaker\SlideshowMaker.exe
SinglePortableAppInstance=True
DirectoryMoveOK=yes

[Activate]
Registry=true

[RegistryKeys]
SlideshowMaker=HKCU\Software\Icecream\Icecream Slideshow Maker
-=HKCU\Software\QtProject\OrganizationDefaults

[RegistryValueWrite]
HKCU\Software\Icecream\Icecream Slideshow Maker\DisplayVersion=REG_SZ:v. 4.04 
HKCU\Software\Icecream\Icecream Slideshow Maker\CurrentVersion=REG_SZ:4.04
HKCU\Software\Icecream\Icecream Slideshow Maker\SendData=REG_DWORD:0
HKCU\Software\Icecream\Icecream Slideshow Maker\uex=REG_DWORD:0

[RegistryCleanupForce]
1=HKCU\Software\Icecream\Icecream Slideshow Maker
2=HKCU\Software\QtProject\OrganizationDefaults
3=HKCU\Software\QtProject

[RegistryCleanupIfEmpty] 
1=HKCU\Software\Icecream
2=HKCU\Software\QtProject

[DirectoriesMove]
SlideshowMaker=%LOCALAPPDATA%\Icecream\Icecream Slideshow Maker

[DirectoriesCleanupForce]
1=%LOCALAPPDATA%\Icecream\Icecream Slideshow Maker
2=%USERPROFILE%\.Icecream Slideshow Maker\log
3=%USERPROFILE%\.Icecream Slideshow Maker\cache
4=%USERPROFILE%\.Icecream Slideshow Maker

[DirectoriesCleanupIfEmpty]
1=%LOCALAPPDATA%\Icecream

[FileWrite1]
Type=Replace
File=%pal:DataDir%\Settings\SlideshowMaker.reg
Find=%USERPROFILE%\AppData\Roaming
Replace=%pal:DataDir:doublebackslash%

[FileWrite2]
Type=Replace
File=%pal:DataDir%\Settings\SlideshowMaker.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%pal:DataDir%\Settings\SlideshowMaker.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\
